aptosid.com

Upgrade Warnings - [Solved] iceweasel 8.0(-2 anyway) launch problems

bfree - 09.11.2011, 17:56
Post subject: [Solved] iceweasel 8.0(-2 anyway) launch problems
After seeing a report of a problem on irc, a quick test in a clean vm showed me that iceweasel-8.0-2 fails to launch and just tells you about an xml error on a label in browser.xul.

You can get iceweasel back "working" by removing the iceweasel-l10n-* packages on your system.

If you need the l10n (translation) packagse for iceweasel then you should hold of on a dist-upgrade (or updating iceweasel), probably until new l10n packages are uploaded for 8.*.
DonKult - 09.11.2011, 18:27
Post subject: Re: iceweasel 8.0(-2 anyway) launch problems
      bfree wrote:
You can get iceweasel back "working" by removing the iceweasel-l10n-* packages on your system.


I got it working with a fresh profile, too, but i like your "fix" more Wink

Bugreport for tracking: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=648144
bfree - 09.11.2011, 18:58
Post subject: Re: iceweasel 8.0(-2 anyway) launch problems
      DonKult wrote:
I got it working with a fresh profile

Interesting ... I didn't even bother to try a fresh profile (normally one of the first things I'd check) as all I had done was a clean install of 2011-02-xfce-i386 in a vm followed by a dist-upgrade. I forgot the profile is preseeded and could already have contained the "problem".

So I just had another little look and can offer an option for "fix" #3 which will let you keep the l10n packages installed for now without requiring a new profile. I'd strongly recommend though that anyone doing this keeps a backup of their profile before trying this.

In .mozilla/firefox/${id}.default/extensions.ini you can simply delete the lines under ExtensionDirs for the various langpack as these don't seem to be created in a new profile by 8.* (however that may just be that it recognises that the l10n extensions there aren't suitable and that the lines will be wanted when suitable langpacks are installed, hence "take a backup").
belze - 10.11.2011, 00:59
Post subject: RE: Re: iceweasel 8.0(-2 anyway) launch problems
...or launch the safe mode, and than disable ln plugins.
mylo - 10.11.2011, 07:39
Post subject:
thanks for the hints. Interesting is, that iceweasel yells:

      Code:
XML-Verarbeitungsfehler: Nicht definierte Entität
Adresse: chrome://browser/content/browser.xul
Zeile Nr. 901, Spalte 7:      <label value="&backForwardButtonMenu.tooltip;"/>
------^


so complains about chrome related issue.
der_bud - 10.11.2011, 11:00
Post subject:
OT :
      mylo wrote:
...so complains about chrome related issue.
Which in this case does not mean the Browser called Chrome, but the Mozilla XML user interface language or the user interface drawing both called Chrome. See Wikipedia:Chrome.
Try to copy the xul-adress beginning with chrome:// into your urlbar, you will get iceweasel running inside iceweasel.
/OT
mylo - 10.11.2011, 22:37
Post subject:
does this mean, iw calls the dreck from gugl?
DonKult - 10.11.2011, 23:06
Post subject:
      mylo wrote:
does this mean, iw calls the dreck from gugl?

As der_bud already said: No.

chrome is an internal name for certain parts of firefox, to put it easy: The graphical interface coded in XUL - it was called this way long before Google came along with their Chrome/Chromium Browser. Name clashes aren't that unusual… You might know that the package chromium was a game not to far ago (play it: chromium-bsu)

So don't worry, the browser war hasn't settled and mozilla firefox isn't another name for google chrome now…
bfree - 11.11.2011, 17:02
Post subject:
The updated l10n packages should be available for the mirrors now so this issue should be gone. I won't mark it solved just yet in the topic though in case it rears it still rears it's ugly head somehow and as some slow mirrors just might not have the updated packages yet.
ckosloff - 13.11.2011, 17:56
Post subject:
      bfree wrote:
...in case it still rears it's ugly head somehow...

It did not rear it's ugly head (stuck it in the behind?) but...
After re-installing iceweasel l10n packages I was asked by Mozilla to modify installation for all of them.
I accepted in order to get rid of the pesky alert.
All times are GMT - 12 Hours
Powered by PNphpBB2 © 2003-2010 The Zafenio Group
Credits